# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`sympa`](#sympa): Install and configure Sympa mailing list manager

### Data types

* [`Sympa::Topics`](#Sympa--Topics): Hash representing topics (categories) of a mailing list.

## Classes

### <a name="sympa"></a>`sympa`

Install and configure Sympa mailing list manager

#### Examples

##### 

```puppet
include sympa
```

#### Parameters

The following parameters are available in the `sympa` class:

* [`manage_user`](#-sympa--manage_user)
* [`user`](#-sympa--user)
* [`group`](#-sympa--group)
* [`manage_database`](#-sympa--manage_database)
* [`db_host`](#-sympa--db_host)
* [`db_name`](#-sympa--db_name)
* [`db_user`](#-sympa--db_user)
* [`db_password`](#-sympa--db_password)
* [`prefix_path`](#-sympa--prefix_path)
* [`sysconf_dir`](#-sympa--sysconf_dir)
* [`aliases_file`](#-sympa--aliases_file)
* [`release`](#-sympa--release)
* [`listdomain`](#-sympa--listdomain)
* [`listmaster`](#-sympa--listmaster)
* [`lang`](#-sympa--lang)
* [`topics`](#-sympa--topics)

##### <a name="-sympa--manage_user"></a>`manage_user`

Data type: `Boolean`

if true this puppet module manage user account settings.

Default value: `true`

##### <a name="-sympa--user"></a>`user`

Data type: `String[1]`

User account name

Default value: `'sympa'`

##### <a name="-sympa--group"></a>`group`

Data type: `String[1]`

User account group name.

Default value: `'sympa'`

##### <a name="-sympa--manage_database"></a>`manage_database`

Data type: `Boolean`

If true this module manage postgreSQL server and database backend.

Default value: `true`

##### <a name="-sympa--db_host"></a>`db_host`

Data type: `String[1]`

Address of the database server with TCP connection (5432 is used as port).

Default value: `'localhost'`

##### <a name="-sympa--db_name"></a>`db_name`

Data type: `String[1]`

Name of used database.

Default value: `'sympa'`

##### <a name="-sympa--db_user"></a>`db_user`

Data type: `String[1]`

User for the database connection.

Default value: `'sympa'`

##### <a name="-sympa--db_password"></a>`db_password`

Data type: `Variant[String[1], Sensitive[String[1]]]`

Password for the database connection.

Default value: `'changeme'`

##### <a name="-sympa--prefix_path"></a>`prefix_path`

Data type: `Stdlib::Absolutepath`

Install Sympa files in this path.

Default value: `'/home/sympa'`

##### <a name="-sympa--sysconf_dir"></a>`sysconf_dir`

Data type: `String[1]`

Configuration dir under prefix_path

Default value: `'etc'`

##### <a name="-sympa--aliases_file"></a>`aliases_file`

Data type: `String[1]`

Aliases file to store Sympa mail aliases, under sysconfig_dir

Default value: `'sympa_aliases'`

##### <a name="-sympa--release"></a>`release`

Data type: `String[1]`

Installed release number of Sympa.

Default value: `'6.2.74'`

##### <a name="-sympa--listdomain"></a>`listdomain`

Data type: `Stdlib::Fqdn`

Primary mail domain name. Web interface for Sympa mailing list manager, can
be joined at https://$listdomain

Default value: `'listes.example.org'`

##### <a name="-sympa--listmaster"></a>`listmaster`

Data type: `Stdlib::Email`

Email addresses of listmaster

Default value: `'listmaster@example.org'`

##### <a name="-sympa--lang"></a>`lang`

Data type: `Enum['fr']`

Supported language

Default value: `'fr'`

##### <a name="-sympa--topics"></a>`topics`

Data type: `Sympa::Topics`

Defines topics (categories) of the mailing lists.

Default value: `{}`

## Data types

### <a name="Sympa--Topics"></a>`Sympa::Topics`

Hash representing topics (categories) of a mailing list.

Alias of

```puppet
Hash[String, Struct[{
      'en' => String[1],
      'fr' => String[1],
  }]]
```

